Method: entities.list

Full name: accounts.containers.folders.entities.list

List all entities in a GTM Folder.

HTTP request

GET https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/folders/{folderId}/entities

Path parameters

Parameters
accountId

string

The GTM Account ID.

containerId

string

The GTM Container ID.

folderId

string

The GTM Folder ID.

Request body

The request body must be empty.

Response body

Represents a Google Tag Manager Folder's contents.

If successful, the response body contains data with the following structure:

JSON representation
{
  "tag": [
    {
      object (Tag)
    }
  ],
  "variable": [
    {
      object (Variable)
    }
  ],
  "trigger": [
    {
      object (Trigger)
    }
  ]
}
Fields
tag[]

object (Tag)

The list of tags inside the folder.

variable[]

object (Variable)

The list of variables inside the folder.

trigger[]

object (Trigger)

The list of triggers inside the folder.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/tagmanager.edit.containers
  • https://www.googleapis.com/auth/tagmanager.readonly

For more information, see the OAuth 2.0 Overview.